%mu = 1/2;  % The mass ratio between the two bodies
mu=0.0123; % The earth moon mass ration

k = 2; %%% ASSUMES THAT 0<x+mu<1 

[LAMBDA,V,r1]=initial_periodic_orbits1(k,mu);

L=imag(LAMBDA(4));

u=real(V(:,4)); %v=imag(V(:,4));
period=2*pi/L;
epsilon=.001; %period=period+epsilon;

x0=[r1;0;0;0]+epsilon*u;

close all
options = odeset('RelTol',1e-12,'AbsTol',1e-12);
[t,y]=ode45(@vector_field_planarCR3BP,[0 period],x0',options);

x1=y(:,1); x2=y(:,2); x3=y(:,3); x4=y(:,4);
x5=1./sqrt((x1+mu).^2+x3.^2);
x6=1./sqrt((x1-1+mu).^2+x3.^2);

plot3(x1,x2,x3);
figure
plot(t,x1,'r','linewidth',2);
hold on 
plot(t,x2,'g','linewidth',2);
plot(t,x3,'b','linewidth',2);
plot(t,x4,'color',[0 0 0],'linewidth',2);
hleg1 = legend('x1','x2','x3','x4');
set(hleg1,'Location','NorthEast')

figure
plot(t,x5,'color',[1 1 0],'linewidth',2);
hold on
plot(t,x6,'color',[0 1 1],'linewidth',2);
hleg1 = legend('x5','x6');
set(hleg1,'Location','NorthEast')

norm(y(end,:)-y(1,:))


m=10; % # Fourier coefficients we keep
[a1] = time_serie_to_cosine_Fourier(x1,t,period,m); % cosine
[a2] = time_serie_to_sine_Fourier(x2,t,period,m); % sine
[a3] = time_serie_to_sine_Fourier(x3,t,period,m); % sine
[a4] = time_serie_to_cosine_Fourier(x4,t,period,m); % cosine
[a5] = time_serie_to_cosine_Fourier(x5,t,period,m); % cosine
[a6] = time_serie_to_cosine_Fourier(x6,t,period,m); % cosine

x=[a1;a2;a3;a4;a5;a6];

[x] = newton(x,L,mu,k)
