function s = int_quartic(a1,a2,a3,a4)

m=(length(a1)+1)/2;

% We make sure that the inputs are powers of 2 %
m1=(2^ceil(log(6*m-1)/log(2))-6*m)/2;   % Hence 6*m+2*m1 is a power of 2 %

ta1=[zeros(2*m+m1+1,1);a1;zeros(2*m+m1,1)];
ta2=[zeros(2*m+m1+1,1);a2;zeros(2*m+m1,1)];
ta3=[zeros(2*m+m1+1,1);a3;zeros(2*m+m1,1)];
ta4=[zeros(2*m+m1+1,1);a4;zeros(2*m+m1,1)];

tu1=verifyfft(ifftshift(ta1),-1);
tu2=verifyfft(ifftshift(ta2),-1);
tu3=verifyfft(ifftshift(ta3),-1);
tu4=verifyfft(ifftshift(ta4),-1);

F=fftshift(verifyfft(tu1.*tu2.*tu3.*tu4,1));

s=real((intval(6)*intval(m)+intval(2)*intval(m1))^3*F(m1+3*m+1:m1+4*m));

end

