clear
clc
close all
mu=1/2;

[~,~,r1]=initial_periodic_orbits1(1,mu);
[~,~,r2]=initial_periodic_orbits1(2,mu);
[~,~,r3]=initial_periodic_orbits1(3,mu);

figure
hold on

plot(r1,0,'*','linewidth',2,'color',[0 0 0])
plot(r2,0,'*','linewidth',2,'color',[0 0 0])
plot(r3,0,'*','linewidth',2,'color',[0 0 0])

plot(mu,0,'.','color',[1 0 0],'markersize', 100)
plot(-mu,0,'.','color',[1 0 0],'markersize', 100)

%%%%%%%%%%%%%%%%%%%%%%
% Most right family of orbits %
%%%%%%%%%%%%%%%%%%%%%%

display('%%%%%%%%%%%%%%%%%%%%%%%')
display('%%%RIGHT MOST FAMILY%%%')
display('%%%%%%%%%%%%%%%%%%%%%%%')

load tot_pts_case1_equal_mass

INDEX = [1 3 10 20 30 43];
NU = [1.15 1.09 1.06 1.04 1.025 1.01];
EXTRA_DIM = [30 60 100 240 620 1400];

N=length(INDEX);
for j=1:N
    index=INDEX(j); 
    nu = NU(j); extra_dim=EXTRA_DIM(j);
    x=tot_X(:,index); [x,m1] = determine_m1(x); L=tot_L(index);
    display(['K = ', num2str(K),' , nu = ', num2str(nu),' , sol_index = ', num2str(index),' , ex_dim = ', num2str(extra_dim),' , m1 = ', num2str(m1)])
    x=padding_CR3BP(x,extra_dim);
    period=2*pi/L;
    display(['period = ',num2str(period)])
    [I,r,success] = int_rad_poly_CR3BP(x,L,mu,nu,m1,K);
    if success==1,
        display(['SUCCESS!    I = [ ',num2str(I(1)),' , ',num2str(I(2)),' ]'])
        plot_periodic(tot_L(index),tot_X(:,index),[0 0 0])
    else
        return
    end
    
end

%%%%%%%%%%%%%%%%%%%
% Center family of orbits %
%%%%%%%%%%%%%%%%%%%

display('%%%%%%%%%%%%%%%%%%%')
display('%%%CENTER FAMILY%%%')
display('%%%%%%%%%%%%%%%%%%%')

load tot_pts_case2_equal_mass

INDEX = [10 20 40 80 120 160];
NU = [1.09 1.09 1.09 1.08 1.04 1.02];
EXTRA_DIM = [100 100 100 200 320 800];

N=length(INDEX);
for j=1:N
    index=INDEX(j); 
    nu = NU(j); extra_dim=EXTRA_DIM(j);
    x=tot_X(:,index); [x,m1] = determine_m1(x); L=tot_L(index);
    display(['K = ', num2str(K),' , nu = ', num2str(nu),' , sol_index = ', num2str(index),' , ex_dim = ', num2str(extra_dim),' , m1 = ', num2str(m1)])
    x=padding_CR3BP(x,extra_dim);
    period=2*pi/L;
    display(['period = ',num2str(period)])
    [I,r,success] = int_rad_poly_CR3BP(x,L,mu,nu,m1,K);
    if success==1,
        display(['SUCCESS!    I = [ ',num2str(I(1)),' , ',num2str(I(2)),' ]'])
        plot_periodic(tot_L(index),tot_X(:,index),[0 0 0])
    else
        return
    end
    
end

%%%%%%%%%%%%%%%%%%%%%
% Most left family of orbits %
%%%%%%%%%%%%%%%%%%%%%

 load tot_pts_case3_equal_mass

display('%%%%%%%%%%%%%%%%%%%%%%%')
display('%%%LEFT MOST FAMILY%%%')
display('%%%%%%%%%%%%%%%%%%%%%%%')

INDEX = [1 8 15 25 34 42];
NU = [1.09 1.07 1.05 1.04 1.03 1.015];
EXTRA_DIM = [100 150 200 200 370 800];

N=length(INDEX);
for j=1:N
    index=INDEX(j); 
    nu = NU(j); extra_dim=EXTRA_DIM(j);
    x=tot_X(:,index); [x,m1] = determine_m1(x); L=tot_L(index);
    display(['K = ', num2str(K),' , nu = ', num2str(nu),' , sol_index = ', num2str(index),' , ex_dim = ', num2str(extra_dim),' , m1 = ', num2str(m1)])
    x=padding_CR3BP(x,extra_dim);
    period=2*pi/L;
    display(['period = ',num2str(period)])
    [I,r,success] = int_rad_poly_CR3BP(x,L,mu,nu,m1,K);
    if success==1,
        display(['SUCCESS!    I = [ ',num2str(I(1)),' , ',num2str(I(2)),' ]'])
        plot_periodic(tot_L(index),tot_X(:,index),[0 0 0])
    else
        return
    end
    
end

set(gca,'FontSize',14)