mu=0.0123;

[~,~,r1]=initial_periodic_orbits1(1,mu);
[~,~,r2]=initial_periodic_orbits1(2,mu);
[~,~,r3]=initial_periodic_orbits1(3,mu);

figure
hold on

plot(r1,0,'*','linewidth',1,'color',[0 0 0])
plot(r2,0,'*','linewidth',1,'color',[0 0 0])
plot(r3,0,'*','linewidth',1,'color',[0 0 0])

plot(-mu,0,'.','color',[0 0 1],'markersize', 80)
plot(1-mu,0,'.','color',[.5 .5 .5],'markersize', 35)

display('%%%%%%%%%%%%%%%%%%%%%%%')
display('%%%RIGHT MOST FAMILY%%%')
display('%%%%%%%%%%%%%%%%%%%%%%%')

load tot_pts_case1_earth_moon_v2

INDEX = [10 20 30 40 50 70];
NU = [1.05 1.01 1.01 1.009 1.008 1.007];
EXTRA_DIM = [500 900 1000 1100 1340 2500];

N=length(INDEX);
for j=1:N
    index=INDEX(j); 
    nu = NU(j); extra_dim=EXTRA_DIM(j);
    x=tot_X(:,index); [x,m1] = determine_m1(x); L=tot_L(index);
    display(['K = ', num2str(K),' , nu = ', num2str(nu),' , sol_index = ', num2str(index),' , ex_dim = ', num2str(extra_dim),' , m1 = ', num2str(m1)])
    x=padding_CR3BP(x,extra_dim);
    period=2*pi/L;
    display(['period = ',num2str(period)])
    [I,r,success] = int_rad_poly_CR3BP(x,L,mu,nu,m1,K);
    if success==1,
        display(['SUCCESS!    I = [ ',num2str(I(1)),' , ',num2str(I(2)),' ]'])
        plot_periodic(tot_L(index),tot_X(:,index),[0 0 0])
    else
        return
    end
    
end

display('%%%%%%%%%%%%%%%%%%%')
display('%%%CENTER FAMILY%%%')
display('%%%%%%%%%%%%%%%%%%%')

load tot_pts_case2_earth_moon_v2

INDEX = [5 8 12 16 22 27];
NU = [1.05 1.01 1.01 1.009 1.008 1.007];
EXTRA_DIM = [500 900 1000 1100 1340 2500];

N=length(INDEX);
for j=1:N
    index=INDEX(j); 
    nu = NU(j); extra_dim=EXTRA_DIM(j);
    x=tot_X(:,index); [x,m1] = determine_m1(x); L=tot_L(index);
    display(['K = ', num2str(K),' , nu = ', num2str(nu),' , sol_index = ', num2str(index),' , ex_dim = ', num2str(extra_dim),' , m1 = ', num2str(m1)])
    x=padding_CR3BP(x,extra_dim);
    period=2*pi/L;
    display(['period = ',num2str(period)])
    [I,r,success] = int_rad_poly_CR3BP(x,L,mu,nu,m1,K);
    if success==1,
        display(['SUCCESS!    I = [ ',num2str(I(1)),' , ',num2str(I(2)),' ]'])
        plot_periodic(tot_L(index),tot_X(:,index),[0 0 0])
    else
        return
    end
    
end

display('%%%%%%%%%%%%%%%%%%%%%%%')
display('%%%LEFT MOST FAMILY%%%')
display('%%%%%%%%%%%%%%%%%%%%%%%')

 load tot_pts_case3_earth_moon

INDEX = [1 5 10 15 20 24];
NU = [1.06 1.06 1.06 1.05 1.03 1.02];
EXTRA_DIM = [150 150 150 250 400 1000];

INDEX = [24];
NU = [1.02];
EXTRA_DIM = [1000];

N=length(INDEX);
for j=1:N
    index=INDEX(j); 
    nu = NU(j); extra_dim=EXTRA_DIM(j);
    x=tot_X(:,index); [x,m1] = determine_m1(x); L=tot_L(index);
    display(['K = ', num2str(K),' , nu = ', num2str(nu),' , sol_index = ', num2str(index),' , ex_dim = ', num2str(extra_dim),' , m1 = ', num2str(m1)])
    x=padding_CR3BP(x,extra_dim);
    period=2*pi/L;
    display(['period = ',num2str(period)])
    [I,r,success] = int_rad_poly_CR3BP(x,L,mu,nu,m1,K);
    if success==1,
        display(['SUCCESS!    I = [ ',num2str(I(1)),' , ',num2str(I(2)),' ]'])
        plot_periodic(tot_L(index),tot_X(:,index),[0 0 0])
    else
        return
    end
    
end

axis([-1.8 1.3 -1.4 1.4])

set(gca,'FontSize',20)

